{% extends 'base.html' %}

{% block title %}Add Event{% endblock %}

{% block content %}
<div class="container">
    <div class="row">
        <div class="col-6 offset-3">
            <h1 class="text-center my-3">Add an Event</h1>
            {% if error == True %}
                <p class="text-danger">Duplicate Event found!</p>
            {% endif %}

            <form action="{% url 'todolist:add_event' %}" method="post">
                {% csrf_token %}

                <div class="mb-3">
                    <label for="event_name" class="form-label">Event Name:</label>
                    <input type="text" class="form-control bg-light" id="event_name" name="event_name" value="{{ event_name }}" maxlength="50" required>
                </div>

                <div class="mb-3">
                    <label for="description" class="form-label">Description:</label>
                    <textarea class="form-control" id="description" name="description" value="{{ description }}" required></textarea>
                </div>

                <div class="mb-3">
                    <input type="submit" class="btn btn-success" value="Add Event">
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}
